Bullet Collision Detection & Physics Library: btTypedConstraintFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btTypedConstraintFloatData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btTypedConstraint.h>`

Collaboration diagram for btTypedConstraintFloatData:
[legend]

## Public Attributes
btRigidBodyFloatData * | m_rbA
btRigidBodyFloatData * | m_rbB
char * | m_name
int | m_objectType
int | m_userConstraintType
int | m_userConstraintId
int | m_needsFeedback
float | m_appliedImpulse
float | m_dbgDrawSize
int | m_disableCollisionsBetweenLinkedBodies
int | m_overrideNumSolverIterations
float | m_breakingImpulseThreshold
int | m_isEnabled

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 371 of file btTypedConstraint.h.

## Member Data Documentation

float btTypedConstraintFloatData::m_appliedImpulse

Definition at line 382 of file btTypedConstraint.h.

float btTypedConstraintFloatData::m_breakingImpulseThreshold

Definition at line 388 of file btTypedConstraint.h.

float btTypedConstraintFloatData::m_dbgDrawSize

Definition at line 383 of file btTypedConstraint.h.

int btTypedConstraintFloatData::m_disableCollisionsBetweenLinkedBodies

Definition at line 385 of file btTypedConstraint.h.

int btTypedConstraintFloatData::m_isEnabled

Definition at line 389 of file btTypedConstraint.h.

char* btTypedConstraintFloatData::m_name

Definition at line 375 of file btTypedConstraint.h.

int btTypedConstraintFloatData::m_needsFeedback

Definition at line 380 of file btTypedConstraint.h.

int btTypedConstraintFloatData::m_objectType

Definition at line 377 of file btTypedConstraint.h.

int btTypedConstraintFloatData::m_overrideNumSolverIterations

Definition at line 386 of file btTypedConstraint.h.

btRigidBodyFloatData* btTypedConstraintFloatData::m_rbA

Definition at line 373 of file btTypedConstraint.h.

btRigidBodyFloatData* btTypedConstraintFloatData::m_rbB

Definition at line 374 of file btTypedConstraint.h.

int btTypedConstraintFloatData::m_userConstraintId

Definition at line 379 of file btTypedConstraint.h.

int btTypedConstraintFloatData::m_userConstraintType

Definition at line 378 of file btTypedConstraint.h.

The documentation for this struct was generated from the following file:

- btTypedConstraint.h